## Overview
Welcome to the AL language extension for Dynamics NAV.

With this extension, you can write extensions for Dynamics NAV in the AL language with full support for formatting, syntax highlighting, and rich IntelliSense.

This includes:

- Editing support through IntelliSense, syntax highlighting, and formatting
- Typing Al:Go! in the command palette (Ctrl+Shift+P) easily gets you started with your first AL extension
- Support for and snippets to define Codeunits, Pages, Page Extensions, Tables, Table Extensions, XmlPorts, and Reports
- Support for reference by symbols (Shift+F12) to jump to all instances of a specific symbol
- Getting compilation errors in the **Problems** window while working
- Added support for using HTTP and JSON types to access Azure functions and other Web Services
- Using F5 to deploy to the current development instance
- Ability to define a dependency on another extension by listing it in the app.json configuration file
- Autogeneration of app.json and launch.json project files

## Support
If you encounter bugs with the extension, please open a Support Request through the PartnerSource portal or contact your Service Account Manager (SAM) in the local subsidiary to understand what is included in your contract regarding support incidents and PAH (Partner Advisory Hours). Your SAM will also be able to assist you in opening a Support Request or acquiring credentials if you have not opened a Support Request before..

## License and Privacy
The extension is made available under the following [Microsoft Software License Terms](https://go.microsoft.com/fwlink/?linkid=863604) and the following [Microsoft Enterprise and Developer Privacy Statement](https://go.microsoft.com/fwlink/?linkid=837448).