"use strict";
/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlExtensionName = 'AL Language';
exports.AlExtensionContextName = 'alExtensionActive';
exports.AlLanguageId = 'al';
exports.AlLanguageClientName = 'AL';
exports.AlProjectFileName = 'app.json';
exports.AlPreviewSchema = 'al-preview';
exports.AlOpenPreviewDocumentCommand = 'openAlResource';
exports.AlCreatePackageRequest = 'al/createPackage';
exports.AlDownloadSymbolsRequest = 'al/downloadSymbols';
exports.AlCheckSymbolsRequest = 'al/checkSymbols';
exports.AlSymbolsMissingEvent = 'al/symbolsMissing';
exports.AlManifestMissingEvent = 'al/manifestMissing';
exports.AlDownloadSourceRequest = 'al/downloadSource';
exports.AlOpenPageDesignerRequest = 'al/openPageDesigner';
exports.AlSaveUsernamePasswordRequest = 'al/saveUsernamePassword';
exports.AlCheckAuthenticatedRequest = 'al/checkAuthenticated';
exports.AlOpenPreviewDocument = 'al/previewDocument';
exports.InitialProjectName = 'ALProject';
exports.DefaultAlFileName = 'HelloWorld.al';
exports.UserIdFile = 'bin/userid.txt';
/** A key in the global state where the folder path to be bootstrapped is stored */
exports.GoStateKey = 'al:go';
exports.SymbolsCheckedStateKey = 'al:symbolsChecked';
exports.UserIdStateKey = 'al:userid';
//# sourceMappingURL=constants.js.map