"use strict";
/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    'noRootPathMessage': 'Please open a folder to activate the %s extension',
    'languageClientStartupError': 'Could not start the language service: %s',
    'manifestMalformedError': 'Error: The manifest file is malformed.',
    'packageCreatedMessage': 'Success: The package is created.',
    'packageNotCreatedError': 'Error: The package could not be created.',
    'credentialsCacheNotClearedError': 'Error: Could not clear the credentials cache.',
    'processExitCodeError': 'The process exited with error code %s',
    'notAllFilesSavedError': 'Please save all open files before creating the package.',
    'folderPathPrompt': 'Please choose a path to a new empty folder',
    'folderPathPlaceholder': 'Full folder path',
    'folderPathAbsoluteError': 'The folder path must be an absolute path.',
    'folderPathError': 'The folder path is not valid or the folder already exists',
    'openFolderAction': 'Open folder...',
    'tryAgainAction': 'Try again',
    'downloadSymbolsAction': 'Download symbols',
    'failedCreatingFile': 'Failed to create file: %s Reason: %s',
    'jsonMalformedError': 'The JSON file is malformed: %s',
    'serverFormat': '%s, %s, tenant %s',
    'cloudServer': 'Microsoft cloud sandbox',
    'noLaunchFileWarning': 'Please provide server settings in the launch.json file',
    'symbolsDownloaded': 'Symbols have been downloaded.',
    'symbolsNotDownloaded': 'Could not download symbols. Please see the Visual Studio Code output log for more details.',
    'symbolsMissingWarning': 'Symbols are missing',
    'startupObjectIdMissing': "Please provide the 'startupObjectId' setting in the launch.json file",
    'downloadSourceSuccess': 'The latest changes from the server have been applied.',
    'downloadSourceFailure': 'Could not download package. Please see the Visual Studio Code output log for more details.',
    'downloadSourceNewFilesFailure': 'Could not create all the missing files from the package. Please see the Visual Studio Code output log for more details.',
    'downloadSourceApplyChanges': 'Could not apply all the changes from the package. Please see the Visual Studio Code output log for more details.',
    'manifestMissingWarning': 'The manifest file is missing',
    'generateManifestAction': 'Generate manifest',
    'chooseServerPrompt': 'Please choose the server:',
    'noServerChosenError': 'Error: No server has been chosen.',
    'serverAuthPrompt': 'The server requires authentication',
    'authenticationCancelled': 'The authentication has been cancelled.',
    'usernamePlaceholder': 'Your username',
    'passwordPlaceholder': 'Your password',
    'requiredField': 'This field is required'
};
//# sourceMappingURL=resources.js.map